Syncfusion Feedback


Overview

The Angular Line Chart helps represent and visualize data. It shows progressions and trends at equal intervals. This chart handles large amounts of data with smooth animation, zooming, and panning support.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.

Multi Series in Angular Line Chart


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.

Marker in Angular Line Chart


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.

Data Label in Angular Line Chart


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.

Multi axes in Angular Line Chart


Zoom and pan

Zoom and pan when dealing with large amounts of data to visualize data points in any region.


Dynamic line chart

Create and update the line chart with live data that changes over seconds or minutes.


Empty/null data point

Angular Line Charts handle the missed data elegantly with empty points support.

Null Data point in Angular Line Chart


Vertical chart

The line chart can be transposed vertically to view the data in a different perspective.

Vertical chart in Angular Line Chart


Customization

Customize the color, thickness, and dash array of the line chart using built-in APIs.

Multi color line

Multi Color line in Angular Line Chart

Dashed line

Dashed line in Angular Line Chart


Angular Line Chart Code Example

Easily get started with Angular Line Chart by using a few lines of HTML and TS code, as demonstrated below. Also explore our Angular Line Chart Example that shows how to render and configure the chart.

  1. <ejs-chart style='display:block' id='chartcontainer' [primaryXAxis]='primaryXAxis'>
  2. <e-series-collection>
  3. <e-series [dataSource]='data' type='Line' xName='x' yName='y'> </e-series>
  4. </e-series-collection>
  5. </ejs-chart>
  1. //app.component.ts
  2. import { Component } from '@angular/core';
  3. export class AppComponent {
  4. public data: Object[] = [{ x: 'WW', y: 38.3, text: 'World Wide' },
  5. { x: 'EU', y: 45.2, text: 'Europe' },
  6. { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  7. { x: 'LATAM', y: 46.7, text: 'Latin America' },
  8. { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  9. { x: 'NA', y: 64, text: 'North America' }];
  10. //Initializing Primary X Axis
  11. public primaryXAxis: Object = {
  12. valueType: 'Category',
  13. };
  14. }
  15.  
  16. //app.module.ts
  17. import { ChartModule } from '@syncfusion/ej2-ng-charts';
  18. import { LineSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
  19. import { AppComponent } from './app.component';
  20.  
  21. @NgModule({
  22. declarations: [
  23. AppComponent
  24. ],
  25. imports: [
  26. BrowserModule, ChartModule
  27. ],
  28. providers: [ LineSeriesService, CategoryService],
  29. bootstrap: [AppComponent]
  30. })
  31. export class AppModule { }

Learning Resources

UG

Line Chart User Guide

Learn the available options to customize Angular Line Chart.

API

Line Chart API Reference

Explore the Angular Line Chart APIs.

90+ ANGULAR UI COMPONENTS

Scroll up icon
Chat with us

Syncfusion Feedback


Overview

The React Line Chart helps represent and visualize data. It shows progressions and trends at equal intervals. This chart handles large amounts of data with smooth animation, zooming, and panning support.


Multi series

Plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Mark data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Zoom and pan

Zoom and pan when dealing with large amounts of data to visualize data points in any region.


Dynamic line chart

Create and update the line chart with live data that changes over seconds or minutes.


Empty/null data point

React Line Charts handle the missed data elegantly with empty points support.


Vertical chart

The React Line Chart can be transposed vertically to view the data in a different perspective.


Customization

Customize the color, thickness, and dash array of the line chart using built-in APIs.

Multi color line

Dashed line


React Line Chart Code Example

Easily get started with the React Line Chart using a few simple lines of TSX code example as demonstrated below. Also explore our React Line Chart Example that shows how to render and configure the Line Chart in React.

  1. import { AxisModel, Category, ChartComponent, Inject, LineSeries, SeriesCollectionDirective, SeriesDirective} from'@syncfusion/ej2-react-charts';
  2. import * as React from 'react';
  3. class App extends React.Component<{}, {}> {
  4. public primaryXAxis: AxisModel = { valueType: 'Category'};
  5. public data : any[]= [{ x: 'WW', y: 38.3, text: 'World Wide' },
  6. { x: 'EU', y: 45.2, text: 'Europe' },
  7. { x: 'APAC', y: 18.2, text: 'Asia Pacific' },
  8. { x: 'LATAM', y: 46.7, text: 'Latin America' },
  9. { x: 'MEA', y: 61.5, text: 'Middle East Africa' },
  10. { x: 'NA', y: 64, text: 'North America' }];
  11.  
  12. public render() {
  13. return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
  14. <Inject services={[LineSeries, Category]} />
  15. <SeriesCollectionDirective>
  16. <SeriesDirective dataSource={this.data} xName='x' yName='y' type='Line'/>
  17. </SeriesCollectionDirective>
  18. </ChartComponent>
  19. }
  20. };
  21. ReactDOM.render(
  22. <App />,
  23. document.getElementById('charts') as HTMLElement
  24. );
  1. <!DOCTYPE html>
  2. <html>
  3.  
  4. <body>
  5. <div id="charts"></div>
  6. </body>
  7.  
  8. </html>

Learning Resources

UG

Line Chart User Guide

Learn the available options to customize React line chart.

API

Line Chart API Reference

Explore the React line chart APIs.

90+ REACT UI COMPONENTS

Scroll up icon
Chat with us